MIM 2016: Installing SharePoint Foundation 2013 on Windows 2016 server

Install the pre-reqs the way you would do with W2k8 or W2K12. There are two key differences I noticed.

Features: ASP NET 4.6 is not selected automatically

In W2k8 and W2k12, this was selected automatically (may be from the hotfixes)

In W2k16, I had to select it manually under Features.

Roles: Required IIS Server options are not selected automatically.

One key one is ASP NET should be selected under the web server extensions else the SPF2013 setup will not run. Select the following options under IIS Web Server role